Package com.emc.d2fs.services.d2lifecycle_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.d2lifecycle_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.d2lifecycle_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2lifecycle_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApplyRequest`
  `createApplyRequest()`
  Create an instance of `ApplyRequest`
  `ApplyResponse`
  `createApplyResponse()`
  Create an instance of `ApplyResponse`
  `ChangeStateOnEventRequest`
  `createChangeStateOnEventRequest()`
  Create an instance of `ChangeStateOnEventRequest`
  `ChangeStateOnEventResponse`
  `createChangeStateOnEventResponse()`
  Create an instance of `ChangeStateOnEventResponse`
  `ChangeStateRequest`
  `createChangeStateRequest()`
  Create an instance of `ChangeStateRequest`
  `ChangeStateRequestMass`
  `createChangeStateRequestMass()`
  Create an instance of `ChangeStateRequestMass`
  `ChangeStateResponse`
  `createChangeStateResponse()`
  Create an instance of `ChangeStateResponse`
  `ChangeStateResponseMass`
  `createChangeStateResponseMass()`
  Create an instance of `ChangeStateResponseMass`
  `GetSignoffParametersRequest`
  `createGetSignoffParametersRequest()`
  Create an instance of `GetSignoffParametersRequest`
  `GetSignoffParametersResponse`
  `createGetSignoffParametersResponse()`
  Create an instance of `GetSignoffParametersResponse`
  `NextStateOnEventRequest`
  `createNextStateOnEventRequest()`
  Create an instance of `NextStateOnEventRequest`
  `NextStateOnEventResponse`
  `createNextStateOnEventResponse()`
  Create an instance of `NextStateOnEventResponse`
  `NextStatesRequest`
  `createNextStatesRequest()`
  Create an instance of `NextStatesRequest`
  `NextStatesResponse`
  `createNextStatesResponse()`
  Create an instance of `NextStatesResponse`
  `TestChangeStateConditionsRequest`
  `createTestChangeStateConditionsRequest()`
  Create an instance of `TestChangeStateConditionsRequest`
  `TestChangeStateConditionsResponse`
  `createTestChangeStateConditionsResponse()`
  Create an instance of `TestChangeStateConditionsResponse`
  `TestNextStateRequest`
  `createTestNextStateRequest()`
  Create an instance of `TestNextStateRequest`
  `TestNextStateResponse`
  `createTestNextStateResponse()`
  Create an instance of `TestNextStateResponse`
  `TestTransitionRequest`
  `createTestTransitionRequest()`
  Create an instance of `TestTransitionRequest`
  `TestTransitionResponse`
  `createTestTransitionResponse()`
  Create an instance of `TestTransitionResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.d2lifecycle_service

- ## Method Details

  - ### createChangeStateRequest

    public ChangeStateRequest createChangeStateRequest()
    Create an instance of `ChangeStateRequest`

  - ### createChangeStateRequestMass

    public ChangeStateRequestMass createChangeStateRequestMass()
    Create an instance of `ChangeStateRequestMass`

  - ### createChangeStateResponse

    public ChangeStateResponse createChangeStateResponse()
    Create an instance of `ChangeStateResponse`

  - ### createChangeStateResponseMass

    public ChangeStateResponseMass createChangeStateResponseMass()
    Create an instance of `ChangeStateResponseMass`

  - ### createTestChangeStateConditionsRequest

    public TestChangeStateConditionsRequest createTestChangeStateConditionsRequest()
    Create an instance of `TestChangeStateConditionsRequest`

  - ### createTestChangeStateConditionsResponse

    public TestChangeStateConditionsResponse createTestChangeStateConditionsResponse()
    Create an instance of `TestChangeStateConditionsResponse`

  - ### createChangeStateOnEventRequest

    public ChangeStateOnEventRequest createChangeStateOnEventRequest()
    Create an instance of `ChangeStateOnEventRequest`

  - ### createChangeStateOnEventResponse

    public ChangeStateOnEventResponse createChangeStateOnEventResponse()
    Create an instance of `ChangeStateOnEventResponse`

  - ### createNextStateOnEventRequest

    public NextStateOnEventRequest createNextStateOnEventRequest()
    Create an instance of `NextStateOnEventRequest`

  - ### createNextStateOnEventResponse

    public NextStateOnEventResponse createNextStateOnEventResponse()
    Create an instance of `NextStateOnEventResponse`

  - ### createNextStatesRequest

    public NextStatesRequest createNextStatesRequest()
    Create an instance of `NextStatesRequest`

  - ### createNextStatesResponse

    public NextStatesResponse createNextStatesResponse()
    Create an instance of `NextStatesResponse`

  - ### createTestNextStateRequest

    public TestNextStateRequest createTestNextStateRequest()
    Create an instance of `TestNextStateRequest`

  - ### createTestNextStateResponse

    public TestNextStateResponse createTestNextStateResponse()
    Create an instance of `TestNextStateResponse`

  - ### createTestTransitionRequest

    public TestTransitionRequest createTestTransitionRequest()
    Create an instance of `TestTransitionRequest`

  - ### createTestTransitionResponse

    public TestTransitionResponse createTestTransitionResponse()
    Create an instance of `TestTransitionResponse`

  - ### createApplyRequest

    public ApplyRequest createApplyRequest()
    Create an instance of `ApplyRequest`

  - ### createApplyResponse

    public ApplyResponse createApplyResponse()
    Create an instance of `ApplyResponse`

  - ### createGetSignoffParametersRequest

    public GetSignoffParametersRequest createGetSignoffParametersRequest()
    Create an instance of `GetSignoffParametersRequest`

  - ### createGetSignoffParametersResponse

    public GetSignoffParametersResponse createGetSignoffParametersResponse()
    Create an instance of `GetSignoffParametersResponse`